﻿<section>
    <center>
        <h2 class="primary" ng-if="vm.TitleModal">
            <span style="color: green">Chamado: </span>{{vm.TitleModal}}
        </h2>
    </center>

    <hr />

    <div class="buttons-costs">
        <button type="button"
                class="btn btn-primary"
                ng-show="!vm.showAddCost"
                ng-click="vm.AddCost()">
            Adicionar custo
        </button>

        <div ng-show="vm.showAddCost" class="div-add-cost">
            <form class="navbar-form form-add-cost">
                <div class="pull-left">
                    <div class="form-group">
                        <label>Custo (R$)</label>
                        <input ng-model="vm.Cost.value"
                               type="number"
                               class="form-control"
                               autofocus />
                    </div>
                    <div class="form-group" style="margin-left: 15px;">
                        <label>Descrição</label>
                        <textarea ng-model="vm.Cost.description"
                                  class="form-control input-add-cost"
                                  rows="2" cols="60"></textarea>
                    </div>
                </div>
            </form>
            <div class="div-buttons-add-cost">
                <button type="button" class="btn btn-primary"
                        ng-click="vm.SaveCost()"
                        ng-disabled="!vm.Cost.description">
                    Salvar
                </button>
                <button type="button" class="btn btn-primary" style="margin-left: 10px;"
                        ng-click="vm.ClearAddCost();">
                    Cancelar
                </button>
            </div>
        </div>
    </div>

    <table datatable
           class="row-border hover striped table-striped"
           dt-options="vm.dtOptions"
           dt-columns="vm.dtColumns"
           dt-instance="vm.dtInstance"></table>

</section>
